#ifndef __ASPI_BI__
#define __ASPI_BI__

declare function ASPI_Init() as integer
declare function ASPI_Exit() as integer

declare function GetASPI32SupportInfo() as DWORD
declare function SendASPI32Command( byval srb as LPSRB ) as DWORD

type ASPITYPE
	supportinfo as DWORD
	status as byte
	adaptercount as byte
end type

type ASPIDEVICEINFO
	adapter as integer
	device as integer
	lun as integer
end type

type ASPISCANBUSCB as function( byval dinfo as ASPIDEVICEINFO ptr ) as integer

declare function ASPI_GetInfo() as integer
declare function ASPI_GetErrorMsg( byval statuscode as byte ) as string
declare function ASPI_ScanBus _
	( _
		byval dtype as integer, _
		byval dinfo as ASPIDEVICEINFO ptr, _
		byval cb as ASPISCANBUSCB _
	) as integer

extern aspi as ASPITYPE
extern hASPIDLL as any ptr

#endif