#ifndef __SOCKTOOL_BI__
#define __SOCKTOOL_BI__
    
declare function MakeInAddr( byval ipaddr as zstring ptr, byval port as ushort, byval addr as SOCKADDR_IN ptr) as integer

declare function GetAddrInText(byval iaddr as SOCKADDR_IN ptr) as string

declare function GetLocalHostName() as string

enum SOCKET_TYPE
	TCP = 1
	UDP = 2
end enum

declare function ConnectToHost _
	( _
		byval socktype as SOCKET_TYPE, _
		byval localip as SOCKADDR_IN ptr, _
		byval remoteip as SOCKADDR_IN ptr, _
		byval retsock as SOCKET ptr _
	) as integer

declare function ConnectToHostTCP _
	( _
		byval localip as SOCKADDR_IN ptr, _
		byval remoteip as SOCKADDR_IN ptr, _
		byval retsock as SOCKET ptr _
	) as integer

declare function ConnectToHostUDP _
	( _
		byval localip as SOCKADDR_IN ptr, _
		byval remoteip as SOCKADDR_IN ptr, _
		byval retsock as SOCKET ptr _
	) as integer

declare function SwapUint32 _
	( _
		byval x as uinteger _
	) as uinteger

#endif
