#ifndef __LOGTOOL_BI__
#define __LOGTOOL_BI__

enum LogMsgLevel
	LOGMSGLEVEL_ERROR = 0
	LOGMSGLEVEL_WARN = 1
	LOGMSGLEVEL_INFO = 2
	LOGMSGLEVEL_DEBUG = 3
end enum

type LOGCALLBACK as sub( byval s as const zstring const ptr )

declare sub LogSetFileName( byref s as const string )
declare function LogGetFileName() as string
declare sub LogSetMsgLevel( byval level as LogMsgLevel )
declare function LogGetMsgLevel() as LogMsgLevel
declare function LogOpen() as integer
declare sub LogClose()
declare sub LogMsg( byref s as const string, byval level as LogMsgLevel = LOGMSGLEVEL_INFO )
declare sub LogSetCallBack( byval p as LOGCALLBACK )

#endif
